Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox 3.6.12 dmg will not work. Says it is corrupt.

  • 2 replies
  • 27 have this problem
  • 34 views
  • Last reply by cor-el

more options

Running Mac OS X 10.3.9. Because of the programs and the way the computer is used, it is not an option to upgrade the os. Currently running Firefox 2.0.0.20 and having many problems. I need to update. The problem is when opening the dmg for Firefox 3.6.12 I get an error that says it is a corrupt image. I've tried it several times. Same thing each time. Any suggestions?

All Replies (2)

more options

Firefox 2.0.0.20 is the last ever release for Mac OSX 10.3.9 and earlier versions.

more options

Btw: The More system details list in your above post show three Flash 9.0 plugins.

  1. Shockwave Flash 9.0 r115
  2. Shockwave Flash 9.0 r16
  3. Shockwave Flash 9.0 r260

You should remove (thrash) the older versions (9.0 r16 and 9.0 r115 and 9.0 r260) and install the latest 9.0 version.

See Flash Player 9: http://www.adobe.com/go/kb406791

Modified by cor-el